org.apache.fop.layoutmgr

## Class AreaAdditionUtil

- java.lang.Object
- - org.apache.fop.layoutmgr.AreaAdditionUtil

-     public final class AreaAdditionUtil
      extends java.lang.Object

  Utility class which provides common code for the addAreas stage.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addAreas(AbstractLayoutManager parentLM, PositionIterator parentIter, LayoutContext layoutContext)` Creates the child areas for the given layout manager.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addAreas

          public static void addAreas(AbstractLayoutManager parentLM,
                                      PositionIterator parentIter,
                                      LayoutContext layoutContext)

      Creates the child areas for the given layout manager.
      Parameters:
        `parentLM` - the parent layout manager
        `parentIter` - the position iterator
        `layoutContext` - the layout context

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.